org.apache.calcite.avatica.proto

## Interface Common.WireMessageOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.WireMessage, Common.WireMessage.Builder

Enclosing class:
  Common

    public static interface Common.WireMessageOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` `optional string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `optional string name = 1;`
`com.google.protobuf.ByteString` `getWrappedMessage()` `optional bytes wrapped_message = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

`optional string name = 1;`

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`optional string name = 1;`

#### getWrappedMessage

    com.google.protobuf.ByteString getWrappedMessage()

`optional bytes wrapped_message = 2;`